#ifndef CASELLO_H
#define CASELLO_H
#include "Processo.h"
#include "TipoPagamento.h"
#include <queue>
class Veicolo;

class Casello : public Processo
{
 public:
  Casello( TipoPagamento );
  ~Casello();
  void accoda( Veicolo* );
  TipoPagamento pagamento() const;

 private:
  void esegui();
  double tempoProssimoEvento() const;

  queue< Veicolo * > coda_;
  TipoPagamento pagamento_;
};

inline TipoPagamento Casello::pagamento() const
{
  return pagamento_;
}

#endif
