#include "Sincronizzatore.h"
#include "Processo.h"

Sincronizzatore::Sincronizzatore()
{
}

Sincronizzatore::~Sincronizzatore()
{
}

bool Sincronizzatore::PrioritaProcesso::operator() ( Processo* p1, Processo* p2 ) const
{
  return p1->tempo() > p2->tempo();
}

void Sincronizzatore::aggiungi( Processo* p )
{
  coda_.push( p );
}

void Sincronizzatore::esegui()
{
  Processo * p = coda_.top();
  coda_.pop();
  p->procedi();
  coda_.push( p );
}


