#ifndef SINCRONIZZATORE_H
#define SINCRONIZZATORE_H

#include <queue>
class Processo;

class Sincronizzatore
{
 public:
  Sincronizzatore();
  ~Sincronizzatore();
  void esegui();
  void aggiungi( Processo* );

 private:
  class PrioritaProcesso
  {
  public:
    bool operator() ( Processo*, Processo* ) const;
  };

  priority_queue< Processo*, vector<Processo*>, PrioritaProcesso > coda_;
};

#endif
